/**
 * ab_coupon package for Concrete5
 * Copyright Copyright 2017-2018, Alex Borisov
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author Alex Borisov <linuxoidoz@gmail.com>
 * @package Concrete\Package\ab_coupon
 */

$(document).ready(function(e) {
    if(CCM_EDIT_MODE){
        return;
    }
    
    $(".coupon-show-hide").on('click', function(e) {
        var bUID = $(this).data("buid");
        var popup = $(this).data("popup");
        
        if (popup == true) {
            e.preventDefault();
            $.magnificPopup.open({
                items: {
                    src: '#coupon_text_hide_'+bUID,
                    type: 'inline',
                },
                alignTop: false,
                fixedContentPos: 'auto',
                fixedBgPos: true,
                overflowY: 'auto',
                closeBtnInside: true,
                preloader: false,
                midClick: true,
                removalDelay: 300,
                mainClass: 'my-mfp-zoom-in',
            });
        }
        else {
            $("#coupon_text_hide_"+bUID).toggleClass("hidden");
        }
    });
    
});
